### Constructor

# PangoOT.Ruleset.new_from_description

#### Declaration [src]

    PangoOTRuleset*
    pango_ot_ruleset_new_from_description (
      PangoOTInfo* info,
      const PangoOTRulesetDescription* desc
    )

#### Description [src]

Creates a new `PangoOTRuleset` for the given OpenType infor and matching the given ruleset description.

This is a convenience function that calls `pango_ot_ruleset_new_for()` and adds the static GSUB/GPOS features to the resulting ruleset, followed by adding other features to both GSUB and GPOS.

The static feature map members of `desc` should be alive as long as `info` is.

#### Parameters

`info` | `PangoOTInfo`
| a `PangoOTInfo`.
| Ownership is not transferred to the callee
`desc` | `PangoOTRulesetDescription`
| a `PangoOTRulesetDescription`.
| Ownership is not transferred to the callee

#### Return value

Returns: `PangoOTRuleset`
the newly allocated `PangoOTRuleset`, which should be freed with `g_object_unref()`.
Ownership of the data is transferred to the caller